from django.conf import settings
from django.db import models
from django.utils.translation import gettext_lazy as _


class UserModel(models.Model):
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        on_delete=models.CASCADE,
        verbose_name=_("User"),
        editable=False,
    )

    class Meta:
        abstract = True
